import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { Observable, Subscription } from 'rxjs';
import { ScrollDispatcher } from '@angular/cdk/overlay';
import { ContainerDirective } from './ngx-text-diff-container.directive';
import { DiffContent, DiffPart, DiffResults, DiffTableFormat, DiffTableFormatOption, DiffTableRowResult } from './ngx-text-diff.model';
import { NgxTextDiffService } from './ngx-text-diff.service';
import * as i0 from "@angular/core";
export declare class NgxTextDiffComponent implements OnInit, AfterViewInit, OnDestroy {
    private scrollService;
    private diff;
    private cd;
    private _hideMatchingLines;
    containers: QueryList<ContainerDirective> | undefined;
    format: DiffTableFormat;
    left: string;
    right: string;
    diffContent: Observable<DiffContent> | undefined;
    loading: boolean;
    showToolbar: boolean;
    showBtnToolbar: boolean;
    get hideMatchingLines(): boolean;
    set hideMatchingLines(hide: boolean);
    outerContainerClass: string | undefined;
    outerContainerStyle: any;
    toolbarClass: string | undefined;
    toolbarStyle: any;
    compareRowsClass: string | undefined;
    compareRowsStyle: any;
    synchronizeScrolling: boolean;
    compareResults: EventEmitter<DiffResults>;
    subscriptions: Subscription[];
    tableRows: DiffTableRowResult[];
    filteredTableRows: DiffTableRowResult[];
    tableRowsLineByLine: DiffTableRowResult[];
    filteredTableRowsLineByLine: DiffTableRowResult[];
    diffsCount: number;
    formatOptions: DiffTableFormatOption[];
    constructor(scrollService: ScrollDispatcher, diff: NgxTextDiffService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    hideMatchingLinesChanged(value: boolean): void;
    setDiffTableFormat(format: DiffTableFormat): void;
    renderDiffs(): Promise<void>;
    emitCompareResultsEvent(): void;
    trackTableRows(index: number, row: DiffTableRowResult): string | undefined;
    trackDiffs(index: number, diff: DiffPart): string | undefined;
    private initScrollListener;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxTextDiffComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxTextDiffComponent, "td-ngx-text-diff", never, { "format": "format"; "left": "left"; "right": "right"; "diffContent": "diffContent"; "loading": "loading"; "showToolbar": "showToolbar"; "showBtnToolbar": "showBtnToolbar"; "hideMatchingLines": "hideMatchingLines"; "outerContainerClass": "outerContainerClass"; "outerContainerStyle": "outerContainerStyle"; "toolbarClass": "toolbarClass"; "toolbarStyle": "toolbarStyle"; "compareRowsClass": "compareRowsClass"; "compareRowsStyle": "compareRowsStyle"; "synchronizeScrolling": "synchronizeScrolling"; }, { "compareResults": "compareResults"; }, never, never, false, never>;
}
